Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class CellMLSupport

    java.lang.Object
      biouml.plugins.cellml.CellMLSupport

All Implemented Interfaces:
  CellMLConstants

Direct Known Subclasses:
  CellMLModelReader, CellMLModelWriter

public class CellMLSupport
extends java.lang.Object
implements CellMLConstants

Field Summary
`protected Diagram` | `diagram`
`protected java.io.File` | `file`
`protected org.apache.log4j.Category` | `log`
`protected java.lang.String` | `modelName`
`protected Module` | `module`
`protected MessageBundle` | `resources`

Fields inherited from interface biouml.plugins.cellml.CellMLConstants
`BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIES_INFO_ELEMENT, BIOUML_SPECIES_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPONENT_1_ATTR, COMPONENT_2_ATTR, COMPONENT_ELEMENT, CONNECTION_ELEMENT, DIRECTION_ATTR, ENVIRONMENT, INITIAL_VALUE_ATTR, MAP_COMPONENTS_ELEMENT, MATH_ELEMENT, MODEL_ELEMENT, NAME_ATTR, PUBLIC_INTERFACE_ATTR, PUBLIC_INTERFACE_NONE, RDF_ELEMENT, REACTION_ELEMENT, REACTION_REVERSIBLE_ATTR, ROLE_ACTIVATOR, ROLE_ATTR, ROLE_CATALYST, ROLE_ELEMENT, ROLE_INHIBITOR, ROLE_MODIFIER, ROLE_PRODUCT, ROLE_RATE, ROLE_REACTANT, STOICHIOMETRY_ATTR, UNITS_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VARIABLE_REF_ELEMENT`

Constructor Summary
`CellMLSupport(java.io.File inFile)`

Method Summary
`protected void` | `error(java.lang.String messageBundleKey, java.lang.String[] params)`
`org.w3c.dom.Element` | `getElement(org.w3c.dom.Element element, java.lang.String childName)`
`protected void` | `warn(java.lang.String messageBundleKey, java.lang.String[] params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Category log

### file

    protected java.io.File file

### module

    protected Module module

### diagram

    protected Diagram diagram

### modelName

    protected java.lang.String modelName

### resources

    protected MessageBundle resources

Constructor Detail

### CellMLSupport

    public CellMLSupport(java.io.File inFile)
                  throws java.lang.Exception

Method Detail

### error

    protected void error(java.lang.String messageBundleKey,
                         java.lang.String[] params)

### warn

    protected void warn(java.lang.String messageBundleKey,
                        java.lang.String[] params)

### getElement

    public org.w3c.dom.Element getElement(org.w3c.dom.Element element,
                                          java.lang.String childName)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.